RINT(3)

NAME
nearbyint, nearbyintf, nearbyintl, rint, rintf, rintl - round to integral value in floating-point format

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
nearbyint(double x);
float
nearbyintf(float x);
long double
nearbyintl(long double x);
double
rint(double x);
float
rintf(float x);
long double
rintl(long double x);

DESCRIPTION
The rint(), rintf(), and rintl() functions return the integral value nearest to x according to the prevailing rounding mode. These functions raise an inexact exception when the original argument is not an exact integer.

The nearbyint(), nearbyintf(), and nearbyintl() functions perform the same operation, except that they do not raise an inexact exception.

SEE ALSO
abs(3), ceil(3), fabs(3), fenv(3), floor(3), lrint(3), math(3), round(3)

HISTORY
A rint() function appeared in AT&T UNIX.